Subject: bug#28476: 26.0.60; Gnus: broken timezone in citation line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Sep 2017 19:12:01 +0300

> From: Mike Kupfer <[email-masked]>
> cc: [email-masked]
> Date: Sun, 17 Sep 2017 08:29:46 -0700
> 
> Eli Zaretskii wrote:
> 
> > > From: Mike Kupfer <[email-masked]>
> 
> > > I have message-citation-line-format set to
> > > 
> > >   "On %e %B %Y %R %Z, %N wrote:\n"
> [...]
> > I think you should use %z, not %Z.  %Z gives the time-zone _name_, a
> > string, whereas %z gives its numeric form.  FWIW, I get the time-zone
> > name from %Z in both Emacs 25.3 and the current emacs-26 branch.  Not
> > sure why you get different results in 25.3.
> 
> How are you testing this?  The docstring for
> message-citation-line-format says that %z and %Z are special-cased, with
> both producing the time zone in numeric form.

Sorry, I assumed without checking that the format was handed to
format-time-string.

Anyway, I think Andreas found the reason.